Subject: [PATCH v10 5/5] Watchdog: ARM SBSA Generic Watchdog half timeout panic support

From: [email-masked] (Timur Tabi)
Date: Wed, 3 Feb 2016 12:45:09 -0600

Fu Wei wrote:
> As you know I have made the pre-timeout support patch, If people like
> it, i am happy to go on upstream it separately.
>
> If we want to use pre-timeout here, user only can use get_pretimeout
> and disable panic by setting pretimeout to 0
> but user can not really set pretimeout, because "pre-timeout  ==
> timeout / 2 (always)".
> if user want to change pretimeout, he/she has to set_time instead.

Ok, I think patches 4 and 5 should be combined, and I think the Kconfig 
entry should be removed and just use panic_enabled.